package com.narutohuo.xindazhou.common.networkrx.cookie

import okhttp3.Cookie
import okhttp3.HttpUrl

/**
 * Cookie 存储接口
 * 
 * 定义 Cookie 的存储和加载方法
 * 
 * 对应 MVVMHabit 的 Cookie 存储
 */
interface CookieStore {
    
    /**
     * 保存 Cookie
     * 
     * @param url HTTP URL
     * @param cookies Cookie 列表
     */
    fun saveCookie(url: HttpUrl, cookies: List<Cookie>)
    
    /**
     * 加载 Cookie
     * 
     * @param url HTTP URL
     * @return Cookie 列表
     */
    fun loadCookie(url: HttpUrl): List<Cookie>
    
    /**
     * 清除所有 Cookie
     */
    fun clearCookie()
    
    /**
     * 清除指定 URL 的 Cookie
     * 
     * @param url HTTP URL
     */
    fun clearCookie(url: HttpUrl)
}